Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_IIOP_Connection_Handler Class Reference

Handles requests on a single connection. More...

`#include <IIOP_Connection_Handler.h>`

Inheritance diagram for TAO_IIOP_Connection_Handler:

[legend]
Collaboration diagram for TAO_IIOP_Connection_Handler:

[legend]
List of all members.

## Public Methods
| TAO_IIOP_Connection_Handler (ACE_Thread_Manager *t=0)
| TAO_IIOP_Connection_Handler (TAO_ORB_Core *orb_core, CORBA::Boolean flag, void *arg)
| Constructor. <arg> parameter is used by the Acceptor to pass the protocol configuration properties for this connection. More...
| ~TAO_IIOP_Connection_Handler (void)
| Destructor. More...
virtual int | open (void *)
| Called by the <Strategy_Acceptor> when the handler is completely connected. Argument is unused. More...
virtual int | activate (long flags=THR_NEW_LWP, int n_threads=1, int force_active=0, long priority=ACE_DEFAULT_THREAD_PRIORITY, int grp_id=-1, ACE_Task_Base *task=0, ACE_hthread_t thread_handles[]=0, void *stack[]=0, size_t stack_size[]=0, ACE_thread_t thread_names[]=0)
| = Active object activation method. More...
virtual int | svc (void)
| Only used when the handler is turned into an active object by calling <activate>. This serves as the event loop in such cases. More...
virtual int | handle_close (ACE_HANDLE=ACE_INVALID_HANDLE, ACE_Reactor_Mask=ACE_Event_Handler::NULL_MASK)
| Perform appropriate closing. More...
virtual int | resume_handler (void)
| Send a TRUE value to the reactor, so that the reactor does not resume the handler. More...
virtual int | handle_output (ACE_HANDLE)
| Use peer() to drain the outgoing message queue. More...
int | add_transport_to_cache (void)
| Add ourselves to Cache. More...
int | process_listen_point_list (IIOP::ListenPointList &listen_list)
| Process the <listen_list>. More...
## Protected Methods
virtual int | handle_input (ACE_HANDLE=ACE_INVALID_HANDLE)
| = Event Handler overloads Reads a message from the <peer()>, dispatching and servicing it appropriately. handle_input() just delegates on handle_input_i() which timeouts after <max_wait_time>, this is used in thread-per-connection to ensure that server threads eventually exit. More...
## Private Methods
void | handle_close_i (void)
| Perform appropriate closing. More...
## Private Attributes
TAO_IIOP_Properties * | tcp_properties_
| TCP configuration for this connection. More...

## Detailed Description

Handles requests on a single connection.

The Connection handler which is common for the Acceptor and the Connector

## Constructor & Destructor Documentation

TAO_IIOP_Connection_Handler::TAO_IIOP_Connection_Handler | ( | ACE_Thread_Manager * | t = 0 | ) |

TAO_IIOP_Connection_Handler::TAO_IIOP_Connection_Handler | ( | TAO_ORB_Core * | orb_core,
|  | CORBA::Boolean | flag,
|  | void * | arg
| ) |

| Constructor. <arg> parameter is used by the Acceptor to pass the protocol configuration properties for this connection.

TAO_IIOP_Connection_Handler::~TAO_IIOP_Connection_Handler | ( | void |  | ) |

| Destructor.

## Member Function Documentation

int TAO_IIOP_Connection_Handler::activate | ( | long | flags = THR_NEW_LWP,
|  | int | n_threads = 1,
|  | int | force_active = 0,
|  | long | priority = ACE_DEFAULT_THREAD_PRIORITY,
|  | int | grp_id = -1,
|  | ACE_Task_Base * | task = 0,
|  | ACE_hthread_t | thread_handles[] = 0,
|  | void * | stack[] = 0,
|  | size_t | stack_size[] = 0,
|  | ACE_thread_t | thread_names[] = 0
| ) | `[virtual]`

| = Active object activation method. Reimplemented from ACE_Task_Base.

int TAO_IIOP_Connection_Handler::add_transport_to_cache | ( | void |  | ) |

| Add ourselves to Cache.

int TAO_IIOP_Connection_Handler::handle_close | ( | ACE_HANDLE | handle = ACE_INVALID_HANDLE,
|  | ACE_Reactor_Mask | rm = ACE_Event_Handler::NULL_MASK
| ) | `[virtual]`

| Perform appropriate closing. Reimplemented from ACE_Event_Handler.

void TAO_IIOP_Connection_Handler::handle_close_i | ( | void |  | ) | `[private]`

| Perform appropriate closing.

int TAO_IIOP_Connection_Handler::handle_input | ( | ACE_HANDLE | fd = ACE_INVALID_HANDLE | ) | `[protected, virtual]`

| = Event Handler overloads Reads a message from the <peer()>, dispatching and servicing it appropriately. handle_input() just delegates on handle_input_i() which timeouts after <max_wait_time>, this is used in thread-per-connection to ensure that server threads eventually exit. Reimplemented from ACE_Event_Handler.

int TAO_IIOP_Connection_Handler::handle_output | ( | ACE_HANDLE | fd | ) | `[virtual]`

| Use peer() to drain the outgoing message queue. Reimplemented from ACE_Event_Handler.

int TAO_IIOP_Connection_Handler::open | ( | void * | a | ) | `[virtual]`

| Called by the <Strategy_Acceptor> when the handler is completely connected. Argument is unused. Reimplemented from ACE_Task_Base.

int TAO_IIOP_Connection_Handler::process_listen_point_list | ( | IIOP::ListenPointList & | listen_list | ) |

| Process the <listen_list>.

int TAO_IIOP_Connection_Handler::resume_handler | ( | void |  | ) | `[virtual]`

| Send a TRUE value to the reactor, so that the reactor does not resume the handler. Reimplemented from ACE_Event_Handler.

int TAO_IIOP_Connection_Handler::svc | ( | void |  | ) | `[virtual]`

| Only used when the handler is turned into an active object by calling <activate>. This serves as the event loop in such cases. Reimplemented from ACE_Task_Base.

## Member Data Documentation

TAO_IIOP_Properties* TAO_IIOP_Connection_Handler::tcp_properties_`[private]`

| TCP configuration for this connection.

The documentation for this class was generated from the following files:

- IIOP_Connection_Handler.h
- IIOP_Connection_Handler.cpp